Subject: bug#45631: 27.1; regression: message-forward-ignored-headers no longer applies when forwarding as MIME

From: Robert Pluim <[email-masked]>
Date: Wed, 13 Jan 2021 10:25:51 +0100

Daniel Kahn Gillmor <[email-masked]> writes:

> generally, DKIM signatures are *more* likely to break if headers are
> stripped than PGP/MIME or S/MIME, as DKIM is capable of covering headers
> directly.  Even given that concern, i think the most we'd want the
> "best" setting to do to constrain header stripping would be to compare
> the stripped version of the file to the non-stripped version -- if the
> non-stripped version passes DKIM validation, but the stripped does not,
> then either produce a warning message about DKIM signature breakage or
> (if in an interactive mode) prompt the user about whether they want to
> apply the filter or not.

Adding unconditional checking of DKIM signatures to Emacs when
forwarding a message is a no-no. Think of people who work on email
when offline, or people who donʼt want to advertise the fact that
they've received email from a particular domain.

Robert